Subject: RE: [MMUSIC] I-D ACTION:draft-ietf-mmusic-sdp-new-16.txt

From: "Orit Levin" <[email-masked]>
Date: Fri, 7 May 2004 15:58:14 -0700

Sure!  "a=label:<value>" ?

Orit.

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: Friday, May 07, 2004 3:45 PM
To: Orit Levin
Cc: Colin Perkins; Gonzalo Camarillo; [email-masked]; Alan Johnston;
Rohan Mahy
Subject: Re: [MMUSIC] I-D ACTION:draft-ietf-mmusic-sdp-new-16.txt

Could it be at least a *little* more mnemonic and less concise than "l"?

Pleeeeease!

	Paul

Orit Levin wrote:
> Correction. The attribute will have the form of "a=l:<value>" .
> 
> Orit. 
> 
> -----Original Message-----
> From: Orit Levin
> Sent: Friday, May 07, 2004 2:37 PM
> To: 'Colin Perkins'; Gonzalo Camarillo
> Cc: [email-masked]; Alan Johnston; Rohan Mahy
> Subject: RE: [MMUSIC] I-D ACTION:draft-ietf-mmusic-sdp-new-16.txt
> 
> Thanks a lot!
> 
> So I am continuing with our joint with Gonzalo draft which will define

> a new label ("l=") media attribute being used by automata.
> I hope that we all agree that there is a need for this attribute in 
> SDP for conferencing and transcoding applications.
> 
> Orit.
> 
> -----Original Message-----
> From: Colin Perkins [mailto:[email-masked]]
> Sent: Friday, May 07, 2004 1:54 PM
> To: Gonzalo Camarillo
> Cc: Orit Levin; [email-masked]; Alan Johnston; Rohan Mahy
> Subject: Re: [MMUSIC] I-D ACTION:draft-ietf-mmusic-sdp-new-16.txt
> 
> I agree with Gonzalo - the "i=" line is human readable information, 
> not something that can be processed by automata.
> Colin
> 
> 
> 
> On Friday 07 May 2004 20:39, Gonzalo Camarillo wrote:
> 
>>Orit,
>>
>>the intention of the i= line is to provide human readable information.
>>That is, it is not intended for automata.
>>
>>We ran into the same question when designing the grouping stuff and 
>>decided to define the mid attributes for the same reason.
>>
>>Regards,
>>
>>Gonzalo
>>
>>Orit Levin wrote:
>>
>>>Colin and all,
>>>In the process of our work on conferencing and other "transcoder"
>>>applications (in both SIPPING and XCON), we have (re-)identified the
>>
> 
>>>need for labeling of media streams. I have almost finished writing a
>>
> 
>>>MMUSIC draft that would introduce "a label" to a media stream when I
>>
> 
>>>came across the statement below in your draft under the "Session
>>>Information":
>>>
>>>"  A single "i=" field MAY also be used for each media definition.
>>
> In
> 
>>>   media definitions, "i=" fields are primarily intended for
>>
> labeling
> 
>>>   media streams.  As such, they are most likely to be useful when a
>>>   single session has more than one distinct media stream of the
>>
> same
> 
>>>   media type.  An example would be two different whiteboards, one
>>
> for
> 
>>>   slides and one for feedback and questions.
>>>"
>>>
>>>Based on this, would you expect that automata will use this 
>>>information or do we still need to add a "label-id" media attributes
>>
> 
>>>with the semantics similar to "info" but for automata use.
>>>
>>>Thanks,
>>>Orit.
>>>
>>>-----Original Message-----
>>>From: [email-masked] [mailto:[email-masked]] On Behalf
>>
> 
>>>Of Colin Perkins
>>>Sent: Friday, May 07, 2004 1:21 AM
>>>To: [email-masked]
>>>Subject: Re: [MMUSIC] I-D ACTION:draft-ietf-mmusic-sdp-new-16.txt
>>>
>>>On Thursday 06 May 2004 16:32, [email-masked] wrote:
>>>
>>>>A New Internet-Draft is available from the on-line Internet-Drafts 
>>>>directories. This draft is a work item of the Multiparty Multimedia 
>>>>Session Control Working Group of the IETF.
>>>>
>>>>	Title		: SDP: Session Description Protocol
>>>>	Author(s)	: M. Handley, et al.
>>>>	Filename	: draft-ietf-mmusic-sdp-new-16.txt
>>>>	Pages		: 45
>>>>	Date		: 2004-5-5
>>>>
>>>>This memo defines the Session Description Protocol (SDP). SDP is 
>>>>intended for describing multimedia sessions for the purposes of 
>>>>session announcement, session invitation, and other forms of 
>>>>multimedia session initiation.
>>>>
>>>>A URL for this Internet-Draft is:
>>>>http://www.ietf.org/internet-drafts/draft-ietf-mmusic-sdp-new-16.txt
>>>
>>>Changes in this version:
>>>- Add support for "text" media
>>>- Add the Macintosh File Type Code to the MIME registration
>>>- Add IANA registrations for attributes and parameters defined herein
>>>- Delete the definition "session advertisment" from section 2.
>>>- Make use of the terms "session announcement" and "session 
>>>description" consistent
>>>- Remove recommendations on use of SDP with SAP from definition of 
>>>"i=" since they duplicated RFC 2974
>>>- Reference RFC 2822 rather than RFC 822
>>>- Clarify that the free-text name associated with email address and 
>>>phone
>>>  number MUST be enclosed in parenthesis, to match the ABNF.
>>>- Clarify that the X- prefix for bandwidth modifier names is for
>>>  experimental purposes only
>>>- Rename the top-level construct in the ABNF to
>>
> "session-description"
> 
>>>  rather than "announcement"
>>>- Remove duplicate definition of "multimedia session" from section 4
>>>- Clarify that the "conventional international format" for phone 
>>>numbers is an E.164 number in section 5.6. Relax (poorly defined) 
>>>requirement for a space or hyphen between the country code and the 
>>>rest of the phone
>>>  number.
>>>- Clarify which attributes and fields are dependent on charset
>>>- Better align the ABNF field names and those in the main document
>>>
>>>--
>>>Colin Perkins
>>>http://csperkins.org/
>>>
>>>_______________________________________________
>>>mmusic mailing list
>>>[email-masked]
>>>https://www1.ietf.org/mailman/listinfo/mmusic
>>
> 
> --
> Colin Perkins
> http://csperkins.org/
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 10 May 2004 09:11:31 -0400

Orit,

Thanks. Seriously - that *is* much better.

	Paul